<template>
	<uni-popup ref="dlRef" :animation="false" :is-mask-click="false" mask-background-color="rgba(0,0,0, 0.76);">
		<view class="small-one-button-dialog">
			<view class="tip-content-box">
				<view class="tip-content">兑换成功</view>
				<view class="tip-btn-box">
					<ezyActiveVue class="ezy-btn-active tip-btn" @aclick="handleConfirm">确认</ezyActiveVue>
				</view>
			</view>
		</view>
	</uni-popup>
</template>

<script setup>
import {ref} from "vue"
import ezyActiveVue from "@/components/ezyActive/ezyActive.vue";
const dlRef = ref(null);

const emits =defineEmits(['confirm'])

function handleConfirm() {
	emits('confirm')
  handleClose()
}

function handleShow() {
	dlRef.value.open('center')
}

function handleClose() {
	dlRef.value.close();
}

defineExpose({
	handleShow
})

</script>

<style scoped>

</style>